/*
 * Copyright (c) 2005 Krister Walfridsson <kristerw@NetBSD.org>
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
 * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

/* The base directory for the emulated systems.
 *
 * Note: must not have '/' at the end. */
#ifndef EMUL_BASEDIR
#define EMUL_BASEDIR               "/usr/pkg/emulroot"
#endif

/* The part of the NetBSD cross tools. */
#ifndef TOOL_PATH
#define TOOL_PATH                  "/usr/pkg/nbsdtools-arm"
#endif

/* The host's pkg prefix. */
#ifndef PKGPREFIX
#define PKGPREFIX                  "/usr/pkg"
#endif

/* The host's prefix to the simulator and its helper programs. */
#ifndef SIMPREFIX
#define SIMPREFIX                  "/home/cato/EMUL"
#endif

#define EMUL_HW_MODEL              "SA-110 step S (SA-1 core)"
#define EMUL_HW_BYTEORDER          1234
#define EMUL_HW_PAGESIZE           4096
#define EMUL_HW_MACHINE_ARCH       "arm"
#define EMUL_HW_ALIGNBYTES         3

#define EMUL_KERN_OSRELEASE        "1.6.2"

/* native_exec.c */
extern const char* emul_hw_machine;
const char *host_to_target_path(const char* path);
char* target_to_host_path(const char* path);
int run_execve(const char *, char * const *, char * const *);
